> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/recommendations-and-merchandising_deprecated/recos-and-merch-algorythms/data-used-to-train-algorithms.md).

# Data used to train Algorithms

The data used to train AB Tasty Recommendation & Merchandising algorithm is provided through the integrations you set.

\
When there are multiple integration sources, the data can come from any of those integrations.\
The recommendation algorithms, such as similar\_items and associated\_items, use different data analysis periods depending on the data sources:

\
**Google Analytics 4 (GA4):**

* Transactions: 90 days.
* Product views: 120 days.Data from GA4 is only available starting from the date the BigQuery GA4 connection was created.

**Shopify:**

* Transactions: limited to 60 days.

**PrestaShop:**

* Transactions: 90 days.

These periods are defined by the limitations of the data sources and ensure efficient analysis for recommendations.

## Data used to train Recommendations Algorithms <a href="#h_01jdktfdvp0wkds34gpzsjepmm" id="h_01jdktfdvp0wkds34gpzsjepmm"></a>

**Product pages viewed in session**\
sessionID + pageUrl (+ userID optionnally) for each pageview\
integration source: Analytics

**Transactions**\
transactionID + itemID (+ userID optionnally) for each transaction\
integration source: Analytics, Transaction feed, CMS

**Catalog**\
itemID + pageUrl + …itemProperties (+ userID optionnally) for each item\
integration source: CMS, Catalog feed

**User**

userID + …userProperties\
integration source: CRM (optional)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/recommendations-and-merchandising_deprecated/recos-and-merch-algorythms/data-used-to-train-algorithms.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
